#!/usr/bin/env python
# -*- coding: utf-8 -*-

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.


#===============================================================================
# FUTURE
#===============================================================================

from __future__ import absolute_import


#===============================================================================
# DOCS
#===============================================================================

"""A abstraction api for Picasa"""


#===============================================================================
# META
#===============================================================================

__version__ = "0.1"
__license__ = "GPL3"
__author__ = "JBC"
__mail__ = "jbc dot develop at gmail dot com"
__date__ = "2011-03-30"


#===============================================================================
# IMPORTS
#===============================================================================

import gdata.photos.service
import gdata.media
import gdata.geo

import socialframe


#===============================================================================
# CLASS
#===============================================================================

class PicasaUser(object):
    
    def __init__(self, email, password):
        self._gd_client = gdata.photos.service.PhotosService()
        self._gd_client.email = email
        self._gd_client.password = password
        self._gd_client.source = socialframe.__prj__
        self._gd_client.ProgrammaticLogin()

    def photo_iterator(self, **filters):
        photos = self._gd_client.GetUserFeed(kind='photo', **filters)
        for photo in photos.entry:
            yield {"url": photo.GetMediaURL(), "title": photo.title.text}


#===============================================================================
# MAIN
#===============================================================================

if __name__ == "__main__":
    print __doc__
